# Fetch My Work Capacity

This endpoint returns a summary of a user's work capacity for a provided range of dates.
This endpoint returns structured User objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `users` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: GET /users/{id}/capacity
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `end_date` (string, required)
    The end date for calculating my work capacity in YYYY-MM-DD format (e.g. 2016-01-01). The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `start_date` (string, required)
    The start date for calculating my work capacity in YYYY-MM-DD format (e.g. 2015-12-16). The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `account_membership` (AccountMembership) - Retrieves the account membership of the user, which represents the relationship of a user to an account. The response will include `account_membership_id`, which references the data in the `account_memberships` top-level key.
- `custom_field_values` (CustomFieldValue) - Retrieves the user's custom field values that are viewable for the current user. The response will include `custom_field_value_ids`, which references the data in the `custom_field_values` top-level key.
- `external_references` (ExternalReference) - Includes references to external integrations for this object.
- `manager` (User) - Retrieves the user's manager. The response will include `manager_id`, which references the data in the `users` top-level key.
- `role` (Role) - Retrieves the user's account role. The response will include `role_id`, which references the data in the `roles` top-level key.
- `skill_memberships` (SkillMembership) - Retrieves the skill memberships of the user, which represent skills that have been assigned to a user. The response will include `skill_membership_ids`, which references the data in the `skill_memberships` top-level key. The `skill_memberships` data will include the user's proficiency level (for skills which can be assigned proficiency levels).
- `skills` (Skill) - Retrieves the user's skills. The response will include `skill_ids`, which references the data in the `skills` top-level key. The `skills` data will include the skill description and category ID.
- `work_samples` (WorkSample) - Retrieves the user's portfolio items. The response will include `work_sample_ids`, which references the data in the `work_samples` top-level key.

  - `optional_fields` (array)
    Allows you to request one or more optional fields as an array.

## Response 200 fields (application/json):

  - `start_date` (string)
    The start date for calculating my work capacity in YYYY-MM-DD format (e.g. 2012-09-27).

  - `end_date` (string)
    The end date for calculating my work capacity in YYYY-MM-DD format (e.g. 2012-09-27).

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

